# Class AwtDialogManager

java.lang.Object
jspecview.dialog.DialogManager
jspecview.java.AwtDialogManager

All Implemented Interfaces:
  `ActionListener, FocusListener, WindowListener, EventListener, ListSelectionListener`

public class AwtDialogManager extends DialogManager implements ListSelectionListener, WindowListener, ActionListener, FocusListener
just a class I made to separate the construction of the AnnotationDialogs from their use

Author:
  Bob Hanson hansonr@stolaf.edu

## Field Summary

### Fields inherited from class DialogManager

`ERROR_MESSAGE, htDialogs, INFORMATION_MESSAGE, PLAIN_MESSAGE, QUESTION_MESSAGE, vwr, WARNING_MESSAGE`

## Constructor Summary

Constructors
Constructor
Description
`AwtDialogManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
ActionListener callback
`void`
`focusGained(FocusEvent e)`
`void`
`focusLost(FocusEvent e)`
`PlatformDialog`
`getDialog(JSVDialog jsvDialog)`
`String`
`getDialogInput(Object parentComponent, String phrase, String title, int msgType, Object icon, Object[] objects, String defaultStr)`
`int[]`
`getLocationOnScreen(Object component)`
`int`
`getOptionFromDialog(Object frame, String[] items, JSVPanel jsvp, String title, String label)`
`void`
`showMessage(Object frame, String text, String title)`
`void`
`showMessageDialog(Object parentComponent, String msg, String title, int msgType)`
`void`
`showProperties(Object frame, Spectrum spectrum)`
`void`
`valueChanged(ListSelectionEvent e)`
ListSelectionListener callback
`void`
`windowActivated(WindowEvent arg0)`
/ required but unused
`void`
`windowClosed(WindowEvent arg0)`
`void`
`windowClosing(WindowEvent e)`
WindowListener callback
`void`
`windowDeactivated(WindowEvent arg0)`
`void`
`windowDeiconified(WindowEvent arg0)`
`void`
`windowIconified(WindowEvent arg0)`
`void`
`windowOpened(WindowEvent arg0)`

### Methods inherited from class DialogManager

`fixTitle, getSelectorName, processClick, processTableEvent, processWindowClosing, registerDialog, registerSelector, set, showSource, showSourceErrors`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AwtDialogManager

public AwtDialogManager()

## Method Details

### getDialog

public PlatformDialog getDialog(JSVDialog jsvDialog)

Specified by:
  `getDialog` in class `DialogManager`

### getDialogInput

public String getDialogInput(Object parentComponent, String phrase, String title, int msgType, Object icon, Object[] objects, String defaultStr)

Specified by:
  `getDialogInput` in class `DialogManager`

### getOptionFromDialog

public int getOptionFromDialog(Object frame, String[] items, JSVPanel jsvp, String title, String label)

Specified by:
  `getOptionFromDialog` in class `DialogManager`

### getLocationOnScreen

public int[] getLocationOnScreen(Object component)

Specified by:
  `getLocationOnScreen` in class `DialogManager`

### showMessageDialog

public void showMessageDialog(Object parentComponent, String msg, String title, int msgType)

Specified by:
  `showMessageDialog` in class `DialogManager`

### showProperties

public void showProperties(Object frame, Spectrum spectrum)

Specified by:
  `showProperties` in class `DialogManager`

### showMessage

public void showMessage(Object frame, String text, String title)

Specified by:
  `showMessage` in class `DialogManager`

### valueChanged

public void valueChanged(ListSelectionEvent e)
ListSelectionListener callback

Specified by:
  `valueChanged` in interface `ListSelectionListener`

### actionPerformed

public void actionPerformed(ActionEvent e)
ActionListener callback

Specified by:
  `actionPerformed` in interface `ActionListener`

### focusGained

public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

### windowClosing

public void windowClosing(WindowEvent e)
WindowListener callback

Specified by:
  `windowClosing` in interface `WindowListener`

### windowActivated

public void windowActivated(WindowEvent arg0)
/ required but unused

Specified by:
  `windowActivated` in interface `WindowListener`

### windowClosed

public void windowClosed(WindowEvent arg0)

Specified by:
  `windowClosed` in interface `WindowListener`

### windowDeactivated

public void windowDeactivated(WindowEvent arg0)

Specified by:
  `windowDeactivated` in interface `WindowListener`

### windowDeiconified

public void windowDeiconified(WindowEvent arg0)

Specified by:
  `windowDeiconified` in interface `WindowListener`

### windowIconified

public void windowIconified(WindowEvent arg0)

Specified by:
  `windowIconified` in interface `WindowListener`

### windowOpened

public void windowOpened(WindowEvent arg0)

Specified by:
  `windowOpened` in interface `WindowListener`

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`